TestDefinition (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junitlauncher.confined, class: TestDefinition

Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

# Class TestDefinition

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

Direct Known Subclasses:
  `SingleTestClass`, `TestClasses`

public abstract class TestDefinition extends Object
Represents the configuration details of a test that needs to be launched by the `JUnitLauncherTask`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TestDefinition.ForkedRepresentation`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `excludeEngines`
  `protected String`
  `failureProperty`
  `protected ForkDefinition`
  `forkDefinition`
  `protected Boolean`
  `haltOnFailure`
  `protected String`
  `ifProperty`
  `protected String`
  `includeEngines`
  `protected List<ListenerDefinition>`
  `listeners`
  `protected File`
  `outputDir`
  `protected String`
  `unlessProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addConfiguredListener(ListenerDefinition listener)`
  `ForkDefinition`
  `createFork()`
  `String[]`
  `getExcludeEngines()`
  `String`
  `getFailureProperty()`
  `String[]`
  `getIncludeEngines()`
  `List<ListenerDefinition>`
  `getListeners()`
  `File`
  `getOutputDir()`
  `boolean`
  `isHaltOnFailure()`
  `void`
  `setExcludeEngines(String excludeEngines)`
  `void`
  `setFailureProperty(String failureProperty)`
  `void`
  `setHaltOnFailure(boolean haltonfailure)`
  `void`
  `setIf(String ifProperty)`
  `void`
  `setIncludeEngines(String includeEngines)`
  `void`
  `setOutputDir(File dir)`
  `void`
  `setUnless(String unlessProperty)`
  `protected boolean`
  `shouldRun(Project project)`
  `protected abstract List<TestDefinition.ForkedRepresentation>`
  `toForkedRepresentations()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ifProperty

    protected String ifProperty

  - ### unlessProperty

    protected String unlessProperty

  - ### haltOnFailure

    protected Boolean haltOnFailure

  - ### failureProperty

    protected String failureProperty

  - ### outputDir

    protected File outputDir

  - ### includeEngines

    protected String includeEngines

  - ### excludeEngines

    protected String excludeEngines

  - ### forkDefinition

    protected ForkDefinition forkDefinition

  - ### listeners

    protected List<ListenerDefinition> listeners

- ## Constructor Details

  - ### TestDefinition

    public TestDefinition()

- ## Method Details

  - ### setIf

    public void setIf(String ifProperty)

  - ### setUnless

    public void setUnless(String unlessProperty)

  - ### isHaltOnFailure

    public boolean isHaltOnFailure()

  - ### setHaltOnFailure

    public void setHaltOnFailure(boolean haltonfailure)

  - ### getFailureProperty

    public String getFailureProperty()

  - ### setFailureProperty

    public void setFailureProperty(String failureProperty)

  - ### addConfiguredListener

    public void addConfiguredListener(ListenerDefinition listener)

  - ### getListeners

    public List<ListenerDefinition> getListeners()

  - ### setOutputDir

    public void setOutputDir(File dir)

  - ### getOutputDir

    public File getOutputDir()

  - ### createFork

    public ForkDefinition createFork()

  - ### shouldRun

    protected boolean shouldRun(Project project)

  - ### getIncludeEngines

    public String[] getIncludeEngines()

  - ### setIncludeEngines

    public void setIncludeEngines(String includeEngines)

  - ### getExcludeEngines

    public String[] getExcludeEngines()

  - ### setExcludeEngines

    public void setExcludeEngines(String excludeEngines)

  - ### toForkedRepresentations

    protected abstract List<TestDefinition.ForkedRepresentation> toForkedRepresentations() throws IllegalStateException
    Throws:
      `IllegalStateException`